Agents
Add a New Agent
Add a new Agent to Account
Authorization
userApiKey api_access_token<token>
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
In: header
Path Parameters
account_id*integer
The numeric ID of the account
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/accounts/0/agents" \ -H "Content-Type: application/json" \ -d '{ "name": "John Doe", "email": "john.doe@acme.inc", "role": "agent" }'{
"id": 0,
"account_id": 0,
"availability_status": "available",
"auto_offline": true,
"confirmed": true,
"email": "string",
"available_name": "string",
"name": "string",
"role": "agent",
"thumbnail": "string",
"custom_role_id": 0
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}